'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

(function (NHttpHeaders) {
  var EHttpHeaders;

  (function (EHttpHeaders) {
    EHttpHeaders["ACCEPT_RANGES"] = "Accept-Ranges";
    EHttpHeaders["ACCESS_CONTROL_ALLOW_CREDENTIALS"] = "Access-Control-Allow-Credentials";
    EHttpHeaders["ACCESS_CONTROL_ALLOW_HEADERS"] = "Access-Control-Allow-Headers";
    EHttpHeaders["ACCESS_CONTROL_ALLOW_METHODS"] = "Access-Control-Allow-Methods";
    EHttpHeaders["ACCESS_CONTROL_ALLOW_ORIGIN"] = "Access-Control-Allow-Origin";
    EHttpHeaders["ACCESS_CONTROL_EXPOSE_HEADERS"] = "Access-Control-Expose-Headers";
    EHttpHeaders["ACCESS_CONTROL_MAX_AGE"] = "Access-Control-Max-Age";
    EHttpHeaders["AGE"] = "Age";
    EHttpHeaders["ALLOW"] = "Allow";
    EHttpHeaders["ALTERNATE_PROTOCOL"] = "Alternate-Protocol";
    EHttpHeaders["CACHE_CONTROL"] = "Cache-Control";
    EHttpHeaders["CLIENT_DATE"] = "Client-Date";
    EHttpHeaders["CLIENT_PEER"] = "Client-Peer";
    EHttpHeaders["CLIENT_RESPONSE_NUM"] = "Client-Response-Num";
    EHttpHeaders["CONNECTION"] = "Connection";
    EHttpHeaders["CONTENT_DISPOSITION"] = "Content-Disposition";
    EHttpHeaders["CONTENT_ENCODING"] = "Content-Encoding";
    EHttpHeaders["CONTENT_LANGUAGE"] = "Content-Language";
    EHttpHeaders["CONTENT_LENGTH"] = "Content-Length";
    EHttpHeaders["CONTENT_LOCATION"] = "Content-Location";
    EHttpHeaders["CONTENT_MD5"] = "Content-MD5";
    EHttpHeaders["CONTENT_RANGE"] = "Content-Range";
    EHttpHeaders["CONTENT_SECURITY_POLICY"] = "X-Content-Security-Policy";
    EHttpHeaders["CONTENT_SECURITY_POLICY_REPORT_ONLY"] = "Content-Security-Policy-Report-Only";
    EHttpHeaders["CONTENT_TYPE"] = "Content-Type";
    EHttpHeaders["DATE"] = "Date";
    EHttpHeaders["ETAG"] = "Etag";
    EHttpHeaders["EXPIRES"] = "Expires";
    EHttpHeaders["HTTP"] = "HTTP";
    EHttpHeaders["KEEP_ALIVE"] = "Keep-Alive";
    EHttpHeaders["LAST_MODIFIED"] = "Last-Modified";
    EHttpHeaders["LINK"] = "Link";
    EHttpHeaders["LOCATION"] = "Location";
    EHttpHeaders["P3P"] = "P3P";
    EHttpHeaders["PRAGMA"] = "Pragma";
    EHttpHeaders["PROXY_AUTHENTICATE"] = "Proxy-Authenticate";
    EHttpHeaders["PROXY_CONNECTION"] = "Proxy-Connection";
    EHttpHeaders["REFRESH"] = "Refresh";
    EHttpHeaders["RETRY_AFTER"] = "Retry-After";
    EHttpHeaders["SERVER"] = "Server";
    EHttpHeaders["SET_COOKIE"] = "Set-Cookie";
    EHttpHeaders["STATUS"] = "Status";
    EHttpHeaders["STRICT_TRANSPORT_SECURITY"] = "Strict-Transport-Security";
    EHttpHeaders["TIMING_ALLOW_ORIGIN"] = "Timing-Allow-Origin";
    EHttpHeaders["TRAILER"] = "Trailer";
    EHttpHeaders["TRANSFER_ENCODING"] = "Transfer-Encoding";
    EHttpHeaders["UPGRADE"] = "Upgrade";
    EHttpHeaders["VARY"] = "Vary";
    EHttpHeaders["VIA"] = "Via";
    EHttpHeaders["WARNING"] = "Warning";
    EHttpHeaders["WWW_AUTHENTICATE"] = "WWW-Authenticate";
    EHttpHeaders["X_ASPNET_VERSION"] = "X-Aspnet-Version";
    EHttpHeaders["X_CONTENT_TYPE_OPTIONS"] = "X-Content-Type-Options";
    EHttpHeaders["X_FRAME_OPTIONS"] = "X-Frame-Options";
    EHttpHeaders["X_PERMITTED_CROSS_DOMAIN_POLICIES"] = "X-Permitted-Cross-Domain-Policies";
    EHttpHeaders["X_PINGBACK"] = "X-Pingback";
    EHttpHeaders["X_POWERED_BY"] = "X-Powered-By";
    EHttpHeaders["X_ROBOTS_TAG"] = "X-Robots-Tag";
    EHttpHeaders["X_UA_COMPATIBLE"] = "X-UA-Compatible";
    EHttpHeaders["X_WEBKIT_CSP"] = "Content-Security-Policy, X-Content-Security-Policy, X-Webkit-CSP";
    EHttpHeaders["X_XSS_PROTECTION"] = "X-XSS-Protection";
  })(EHttpHeaders = NHttpHeaders.EHttpHeaders || (NHttpHeaders.EHttpHeaders = {}));
})(exports.NHttpHeaders || (exports.NHttpHeaders = {}));

(function (NHttpStatuses) {
  var EInformational;

  (function (EInformational) {
    EInformational[EInformational["CONTINUE"] = 100] = "CONTINUE";
    EInformational[EInformational["SWITCHING_PROTOCOLS"] = 101] = "SWITCHING_PROTOCOLS";
    EInformational[EInformational["PROCESSING"] = 102] = "PROCESSING";
  })(EInformational = NHttpStatuses.EInformational || (NHttpStatuses.EInformational = {}));

  var ESuccess;

  (function (ESuccess) {
    ESuccess[ESuccess["OK"] = 200] = "OK";
    ESuccess[ESuccess["CREATED"] = 201] = "CREATED";
    ESuccess[ESuccess["ACCEPTED"] = 202] = "ACCEPTED";
    ESuccess[ESuccess["NON_AUTHORITATIVE_INFORMATION"] = 203] = "NON_AUTHORITATIVE_INFORMATION";
    ESuccess[ESuccess["NO_CONTENT"] = 204] = "NO_CONTENT";
    ESuccess[ESuccess["RESET_CONTENT"] = 205] = "RESET_CONTENT";
    ESuccess[ESuccess["PARTIAL_CONTENT"] = 206] = "PARTIAL_CONTENT";
    ESuccess[ESuccess["MULTI_STATUS"] = 207] = "MULTI_STATUS";
    ESuccess[ESuccess["ALREADY_REPORTED"] = 208] = "ALREADY_REPORTED";
    ESuccess[ESuccess["IM_USED"] = 226] = "IM_USED";
  })(ESuccess = NHttpStatuses.ESuccess || (NHttpStatuses.ESuccess = {}));

  var ERedirection;

  (function (ERedirection) {
    ERedirection[ERedirection["MULTIPLE_CHOICES"] = 300] = "MULTIPLE_CHOICES";
    ERedirection[ERedirection["MOVED_PERMANENTLY"] = 301] = "MOVED_PERMANENTLY";
    ERedirection[ERedirection["FOUND"] = 302] = "FOUND";
    ERedirection[ERedirection["SEE_OTHER"] = 303] = "SEE_OTHER";
    ERedirection[ERedirection["NOT_MODIFIED"] = 304] = "NOT_MODIFIED";
    ERedirection[ERedirection["USE_PROXY"] = 305] = "USE_PROXY";
    ERedirection[ERedirection["TEMPORARY_REDIRECT"] = 307] = "TEMPORARY_REDIRECT";
    ERedirection[ERedirection["PERMANENT_REDIRECT"] = 308] = "PERMANENT_REDIRECT";
  })(ERedirection = NHttpStatuses.ERedirection || (NHttpStatuses.ERedirection = {}));

  var EClientError;

  (function (EClientError) {
    EClientError[EClientError["BAD_REQUEST"] = 400] = "BAD_REQUEST";
    EClientError[EClientError["UNAUTHORIZED"] = 401] = "UNAUTHORIZED";
    EClientError[EClientError["PAYMENT_REQUIRED"] = 402] = "PAYMENT_REQUIRED";
    EClientError[EClientError["FORBIDDEN"] = 403] = "FORBIDDEN";
    EClientError[EClientError["NOT_FOUND"] = 404] = "NOT_FOUND";
    EClientError[EClientError["METHOD_NOT_ALLOWED"] = 405] = "METHOD_NOT_ALLOWED";
    EClientError[EClientError["NOT_ACCEPTABLE"] = 406] = "NOT_ACCEPTABLE";
    EClientError[EClientError["PROXY_AUTHENTICATION_REQUIRED"] = 407] = "PROXY_AUTHENTICATION_REQUIRED";
    EClientError[EClientError["REQUEST_TIMEOUT"] = 408] = "REQUEST_TIMEOUT";
    EClientError[EClientError["CONFLICT"] = 409] = "CONFLICT";
    EClientError[EClientError["GONE"] = 410] = "GONE";
    EClientError[EClientError["LENGTH_REQUIRED"] = 411] = "LENGTH_REQUIRED";
    EClientError[EClientError["PRECONDITION_FAILED"] = 412] = "PRECONDITION_FAILED";
    EClientError[EClientError["PAYLOAD_TOO_LARGE"] = 413] = "PAYLOAD_TOO_LARGE";
    EClientError[EClientError["REQUEST_URI_TOO_LONG"] = 414] = "REQUEST_URI_TOO_LONG";
    EClientError[EClientError["UNSUPPORTED_MEDIA_TYPE"] = 415] = "UNSUPPORTED_MEDIA_TYPE";
    EClientError[EClientError["REQUESTED_RANGE_NOT_SATISFIABLE"] = 416] = "REQUESTED_RANGE_NOT_SATISFIABLE";
    EClientError[EClientError["EXPECTATION_FAILED"] = 417] = "EXPECTATION_FAILED";
    EClientError[EClientError["I_M_A_TEAPOT"] = 418] = "I_M_A_TEAPOT";
    EClientError[EClientError["MISDIRECTED_REQUEST"] = 421] = "MISDIRECTED_REQUEST";
    EClientError[EClientError["UNPROCESSABLE_ENTITY"] = 422] = "UNPROCESSABLE_ENTITY";
    EClientError[EClientError["LOCKED"] = 423] = "LOCKED";
    EClientError[EClientError["FAILED_DEPENDENCY"] = 424] = "FAILED_DEPENDENCY";
    EClientError[EClientError["UPGRADE_REQUIRED"] = 426] = "UPGRADE_REQUIRED";
    EClientError[EClientError["PRECONDITION_REQUIRED"] = 428] = "PRECONDITION_REQUIRED";
    EClientError[EClientError["TOO_MANY_REQUESTS"] = 429] = "TOO_MANY_REQUESTS";
    EClientError[EClientError["REQUEST_HEADER_FIELDS_TOO_LARGE"] = 431] = "REQUEST_HEADER_FIELDS_TOO_LARGE";
    EClientError[EClientError["CONNECTION_CLOSED_WITHOUT_RESPONSE"] = 444] = "CONNECTION_CLOSED_WITHOUT_RESPONSE";
    EClientError[EClientError["UNAVAILABLE_FOR_LEGAL_REASONS"] = 451] = "UNAVAILABLE_FOR_LEGAL_REASONS";
    EClientError[EClientError["CLIENT_CLOSED_REQUEST"] = 499] = "CLIENT_CLOSED_REQUEST";
  })(EClientError = NHttpStatuses.EClientError || (NHttpStatuses.EClientError = {}));

  var EServerError;

  (function (EServerError) {
    EServerError[EServerError["INTERNAL_SERVER_ERROR"] = 500] = "INTERNAL_SERVER_ERROR";
    EServerError[EServerError["NOT_IMPLEMENTED"] = 501] = "NOT_IMPLEMENTED";
    EServerError[EServerError["BAD_GATEWAY"] = 502] = "BAD_GATEWAY";
    EServerError[EServerError["SERVICE_UNAVAILABLE"] = 503] = "SERVICE_UNAVAILABLE";
    EServerError[EServerError["GATEWAY_TIMEOUT"] = 504] = "GATEWAY_TIMEOUT";
    EServerError[EServerError["HTTP_VERSION_NOT_SUPPORTED"] = 505] = "HTTP_VERSION_NOT_SUPPORTED";
    EServerError[EServerError["VARIANT_ALSO_NEGOTIATES"] = 506] = "VARIANT_ALSO_NEGOTIATES";
    EServerError[EServerError["INSUFFICIENT_STORAGE"] = 507] = "INSUFFICIENT_STORAGE";
    EServerError[EServerError["LOOP_DETECTED"] = 508] = "LOOP_DETECTED";
    EServerError[EServerError["NOT_EXTENDED"] = 510] = "NOT_EXTENDED";
    EServerError[EServerError["NETWORK_AUTHENTICATION_REQUIRED"] = 511] = "NETWORK_AUTHENTICATION_REQUIRED";
    EServerError[EServerError["NETWORK_CONNECT_TIMEOUT_ERROR"] = 599] = "NETWORK_CONNECT_TIMEOUT_ERROR";
  })(EServerError = NHttpStatuses.EServerError || (NHttpStatuses.EServerError = {}));
})(exports.NHttpStatuses || (exports.NHttpStatuses = {}));

var HTTP_STATUS_CLIENT_ERROR = 'ClientError';
var HTTP_STATUS_INFORMATIONAL = 'Informational';
var HTTP_STATUS_REDIRECTION = 'Redirection';
var HTTP_STATUS_SERVER_ERROR = 'ServerError';
var HTTP_STATUS_SUCCESS = 'Success';
var getHttpStatusName = function getHttpStatusName(httpStatusCode) {
  return exports.NHttpStatuses.EInformational[httpStatusCode] || exports.NHttpStatuses.ESuccess[httpStatusCode] || exports.NHttpStatuses.ERedirection[httpStatusCode] || exports.NHttpStatuses.EClientError[httpStatusCode] || exports.NHttpStatuses.EServerError[httpStatusCode];
};
var getHttpStatusCategory = function getHttpStatusCategory(httpStatusCode) {
  if (Object.values(exports.NHttpStatuses.EInformational).indexOf(httpStatusCode) !== -1) {
    return HTTP_STATUS_INFORMATIONAL;
  } else if (Object.values(exports.NHttpStatuses.ESuccess).indexOf(httpStatusCode) !== -1) {
    return HTTP_STATUS_SUCCESS;
  } else if (Object.values(exports.NHttpStatuses.ERedirection).indexOf(httpStatusCode) !== -1) {
    return HTTP_STATUS_REDIRECTION;
  } else if (Object.values(exports.NHttpStatuses.EClientError).indexOf(httpStatusCode) !== -1) {
    return HTTP_STATUS_CLIENT_ERROR;
  } else if (Object.values(exports.NHttpStatuses.EServerError).indexOf(httpStatusCode) !== -1) {
    return HTTP_STATUS_SERVER_ERROR;
  }

  return undefined;
};

exports.HTTP_STATUS_CLIENT_ERROR = HTTP_STATUS_CLIENT_ERROR;
exports.HTTP_STATUS_INFORMATIONAL = HTTP_STATUS_INFORMATIONAL;
exports.HTTP_STATUS_REDIRECTION = HTTP_STATUS_REDIRECTION;
exports.HTTP_STATUS_SERVER_ERROR = HTTP_STATUS_SERVER_ERROR;
exports.HTTP_STATUS_SUCCESS = HTTP_STATUS_SUCCESS;
exports.getHttpStatusCategory = getHttpStatusCategory;
exports.getHttpStatusName = getHttpStatusName;
//# sourceMappingURL=http-response-status.cjs.development.js.map
